<!doctype html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <base th:href="${#request.getContextPath() + '/'}">
    <meta charset="utf-8">
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <link rel="stylesheet" href="assets/fonts/font-awesome/css/font-awesome.css"/>
    <link rel="stylesheet" href="assets/layuiadmin/layui/css/layui.css" media="all">
    <link rel="stylesheet" href="assets/layuiadmin/style/admin.css" media="all">
    <link rel="stylesheet" href="assets/js/vendor/codemirror/codemirror.css">
    <link rel="stylesheet" href="assets/js/vendor/codemirror/theme/dracula.css">
    <style>
        .CodeMirror {font-size : 13px;line-height: 150%;}
    </style>
</head>
<body>
<div class="layui-anim layui-anim-fadein">
    <div class="layui-card">
        <div class="layui-card-body" style="padding: 0px;">
            <form class="layui-form layui-form-pane" lay-filter="dataForm">
                <div class="layui-row">
                    <div class="layui-col-md12 layui-col-xs12">
                        <textarea id="formSourceData" name="formSourceData" style="display: none"></textarea>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
<script src="assets/js/vendor/codemirror/codemirror.js"></script>
<script src="assets/js/vendor/codemirror/mode/css/css.js"></script>
<script src="assets/js/vendor/codemirror/mode/javascript/javascript.js"></script>
<script src="assets/js/vendor/codemirror/mode/htmlmixed/htmlmixed.js"></script>
<script src="assets/layuiadmin/layui/layui.js"></script>
<script>
    layui.config({
        base: 'assets/layuiadmin/' //静态资源所在路径
    }).extend({
        index: 'lib/index' //主入口模块
    }).use(['index', 'form', 'laydate'], function(){
        var $ = layui.$;
        var win = $(window)
        var form = layui.form;
        var laytpl = layui.laytpl;
        var formId = top.restAjax.params(window.location.href).formId;
        var codeMirrorConfig = {
            lineNumbers: true,
            theme: 'dracula',
            matchBrackets: true,
            readOnly: true,
            indentUnit : 4,
            indentWithTabs: 4,
            flattenSpans: false,
            tabSize : 4,
            smartIndent: true,
            mode: 'application/json',
            extraKeys: {
                'Shift-Tab': function (cm) {
                    if (cm.somethingSelected()) {
                        cm.indentSelection('subtract');
                    } else {
                        cm.indentLine(cm.getCursor().line, "subtract");
                    }
                    return;
                },
            }
        };

        function closeBox() {
            parent.layer.close(parent.layer.getFrameIndex(window.name));
        }

        function initJson(value) {
            var editor = CodeMirror.fromTextArea(document.getElementById('formSourceData'), codeMirrorConfig);
            editor.setValue(value);
            editor.setSize('100%', win.height() - 0);
            editor.on('change', function(self, changeValue) {
                $('#formSourceData').val(self.getValue());
            })
        }

        // 初始化
        function initData() {
            var loadLayerIndex;
            top.restAjax.get(top.restAjax.path('api/form/get-form-source-data/{formId}', [formId]), {}, null, function(code, data) {
                form.val('dataForm', {
                    formSourceData: data.formSourceData,
                });
                form.render(null, 'dataForm');

                initJson(JSON.stringify(JSON.parse(data.formSourceData), null, '\t'));
            }, function(code, data) {
                top.dialog.msg(data.msg);
            }, function() {
                loadLayerIndex = top.dialog.msg(top.dataMessage.loading, {icon: 16, time: 0, shade: 0.3});
            }, function() {
                top.dialog.close(loadLayerIndex);
            });
        }
        initData();

    });
</script>
</body>
</html>